> ## Documentation Index
> Fetch the complete documentation index at: https://koreai-content-gov.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add and Enable a New Language API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To initiate the addition and enablement of a new language for an AI Agent.

| Field | Value |
| - | - |
| **Method** | POST |
| **Endpoint** | `https://{{host}}/api/{{version-Id}}/public/bot/{{botId}}/language` |
| **Content Type** | `application/json` |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope** | App Builder: Language Configuration; Admin Console: Language Settings > Language Management |

## Path Parameters

| Parameter | Description |
| - | - |
| host | The environment URL. For example, `https://platform.kore.ai`. |

## Sample Request

```json expandable=true theme={null}
curl -X POST 'https://{{host}}/api/{{version-Id}}/public/bot/{{botId}}/language' \
--header 'Content-Type: application/json' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--data '{
"enableLanguage" : "",
"langDefinitionMode": {
"baseLanguage": "language_code",
"type": "advancedConfig/fileUpload",
"fileId":"",
"preferredData":{
"training": true/false,
"faqs": true/false,
"ontology": true/false,
"smalltalk": true/false,
"traits": true/false
}
},
"multiLingualConfigurations":{
"nluLanguage": "language_code",
"inputTranslation": true/false,
"responseTranslation": true/false
}
}'
```

## Body Parameters

| Parameter | SUB-PARAMETER | Description | Mandate |
| - | - | - | - |
| enableLanguage | | The language to be enabled based on the language code. | Required |
| langDefinitionMode | | | Required |
| | langDefinitionMode.baseLanguage | Base language of the AI Agent. | Optional |
| | langDefinitionMode.type | Type of language enablement: **Basic**, **advancedConfig**, or **fileUpload**. | Optional |
| | langDefinitionMode.fileId | The **file ID** for handling the file upload if the **fileUpload** language enablement is selected. | Optional |
| | langDefinitionMode.preferredData | If the **advancedConfig** language enablement is selected, the True/False configuration setting for "training", "faqs", "ontology", "Smalltalk" and "traits" keys should be included. | Optional |
| multiLingualConfigurations | | | Required |
| | multiLingualConfigurations.nluLanguage | Refers to the language code of the NLU language. | Required |
| | multiLingualConfigurations.inputTranslation | Refers to True/False setting for the input language translation to English. | Required |
| | multiLingualConfigurations.responseTranslation | Refers to the True/False setting for the response language translation to English. | Required |

## Sample Response

For success case:

```json theme={null}
[{
"message": "Enabled language successfully",
"configurationDetails": {
"dialogs":3,
"alerts":0,
"actions":0,
"knowledgetTasks":0,
"smallTalk":1,
"panels":0,
"widgets":0
}
}]
```

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.